Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.deployment.jboss.metadata
Class JBossPortletMetaData

    java.lang.Object
      org.jboss.portal.portlet.deployment.jboss.metadata.JBossPortletMetaData

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  JBossPortletMetaData

    public class JBossPortletMetaData

extends java.lang.Object
implements java.lang.Cloneable

Specific metadata specified to jboss portlet container.

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Constructor Summary
`JBossPortletMetaData()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Integer` | `getCacheRefType()`
`java.lang.Boolean` | `getDistributed()`
`java.lang.String` | `getName()`
`java.lang.Boolean` | `getRemotable()`
`SecurityConstraintMetaData` | `getSecurityConstraint()`
`org.jboss.portal.common.transaction.Transactions.Type` | `getTxType()`
`void` | `merge(JBossApplicationMetaData application)` Merge the current meta data with portlet application.
`void` | `merge(JBossPortletMetaData portlet)` Merge the current meta data with a specified one.
`void` | `setCacheRefType(java.lang.Integer cacheRefType)`
`void` | `setDistributed(java.lang.Boolean distributed)`
`void` | `setName(java.lang.String name)`
`void` | `setRemotable(java.lang.Boolean remotable)`
`void` | `setSecurityConstraint(SecurityConstraintMetaData securityConstraint)`
`void` | `setTxType(org.jboss.portal.common.transaction.Transactions.Type txType)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossPortletMetaData

    public JBossPortletMetaData()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRemotable

    public java.lang.Boolean getRemotable()

### setRemotable

    public void setRemotable(java.lang.Boolean remotable)

### getDistributed

    public java.lang.Boolean getDistributed()

### setDistributed

    public void setDistributed(java.lang.Boolean distributed)

### getSecurityConstraint

    public SecurityConstraintMetaData getSecurityConstraint()

### setSecurityConstraint

    public void setSecurityConstraint(SecurityConstraintMetaData securityConstraint)

### getCacheRefType

    public java.lang.Integer getCacheRefType()

### setCacheRefType

    public void setCacheRefType(java.lang.Integer cacheRefType)

### getTxType

    public org.jboss.portal.common.transaction.Transactions.Type getTxType()

### setTxType

    public void setTxType(org.jboss.portal.common.transaction.Transactions.Type txType)

### merge

    public void merge(JBossApplicationMetaData application)

  Merge the current meta data with portlet application.

### merge

    public void merge(JBossPortletMetaData portlet)

  Merge the current meta data with a specified one.

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD